#!/usr/bin/env bash

if [ "$1" = "" ]; then
    echo "No version given."
    exit 1
fi

# Clean target
rm -rfv project/project/target
rm -rfv project/target
rm -rfv target

# Compress .git files
git reflog expire --expire=now --all
git gc --aggressive --prune=now

# Create output directory
rm -rfv "CM3D2 Batch Installer Release $1"
mkdir "CM3D2 Batch Installer Release $1"

# Build binary
sbt dist
cp "target/launch4j/CM3D2_Batch_Installer-$1.exe" "CM3D2 Batch Installer Release $1/"

# Create source .zip file
git archive --format zip -o "CM3D2 Batch Installer Release $1/CM3D2_Batch_Installer-Source-$1.zip" master

rm -rfv git_temp
mkdir git_temp
cp -r .git git_temp/
mv -v git_temp/.git/config.template git_temp/.git/config

cd git_temp
zip -9 -r "../CM3D2 Batch Installer Release $1/CM3D2_Batch_Installer-Source-$1.zip" .git
cd ..
rm -rfv git_temp

# Create release .zip file
zip -9 "CM3D2 Batch Installer Release $1/CM3D2 Batch Installer Release $1.zip" "Public Domain Dedication.txt"
cd "CM3D2 Batch Installer Release $1"
zip -9 "CM3D2 Batch Installer Release $1.zip" "CM3D2_Batch_Installer-Source-$1.zip" "CM3D2_Batch_Installer-$1.exe"
