package aura.cm3d2.core.win32;

import com.sun.jna.FromNativeContext;
import com.sun.jna.Pointer;
import com.sun.jna.PointerType;

/**
     * Handle to an object.
     */
public class HANDLE extends PointerType {
    static HANDLE INVALID_HANDLE_VALUE = new HANDLE(Pointer.createConstant(Pointer.SIZE == 8 ? -1 : 0xFFFFFFFFL));

    private boolean immutable;

    public HANDLE() { }

    public HANDLE(Pointer p) {
        setPointer(p);
        immutable = true;
    }

    /** Override to the appropriate object for INVALID_HANDLE_VALUE. */
    @Override
    public Object fromNative(Object nativeValue, FromNativeContext context) {
        Object o = super.fromNative(nativeValue, context);
        if (INVALID_HANDLE_VALUE.equals(o)) {
            return INVALID_HANDLE_VALUE;
        }
        return o;
    }

    @Override
    public void setPointer(Pointer p) {
        if (immutable) {
            throw new UnsupportedOperationException("immutable reference");
        }

        super.setPointer(p);
    }

    @Override
    public String toString() {
        return String.valueOf(getPointer());
    }
}
